# DASetMatPreallocateOnly

When DAGetMatrix() is called the matrix will be properly preallocated but the nonzero structure and zero values will not be set.

### Synopsis

    #include "petscda.h"
    #include "petscmat.h"
    PetscErrorCode PETSCDM_DLLEXPORT DASetMatPreallocateOnly(DA da,PetscTruth only)

Collective on DA

### Input Parameter

| da | - the distributed array
| only | - PETSC_TRUE if only want preallocation

### See Also

DAGetMatrix(), DASetGetMatrix(), DASetBlockSize(), DASetBlockFills()

Level:developer
Location: src/dm/da/utils/fdda.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages